com.amazonaws.codegen.model.intermediate

## Class ArgumentModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.DocumentationModel
  - - com.amazonaws.codegen.model.intermediate.ArgumentModel

    public class ArgumentModel
    extends DocumentationModel

### Field Summary

### Fields inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`documentation`

### Constructor Summary

Constructors
Constructor and Description
`ArgumentModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getIsEnumArg()`
`String` `getName()`
`String` `getType()`
`void` `setIsEnumArg(boolean isEnumArg)`
`void` `setName(String name)`
`void` `setType(String type)`
`ArgumentModel` `withIsEnumArg(boolean isEnumArg)`
`ArgumentModel` `withName(String name)`
`ArgumentModel` `withType(String type)`

### Methods inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`getDocumentation, setDocumentation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgumentModel

    public ArgumentModel()

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getType

    public String getType()

#### setType

    public void setType(String type)

#### withName

    public ArgumentModel withName(String name)

#### withType

    public ArgumentModel withType(String type)

#### getIsEnumArg

    public boolean getIsEnumArg()

#### setIsEnumArg

    public void setIsEnumArg(boolean isEnumArg)

#### withIsEnumArg

    public ArgumentModel withIsEnumArg(boolean isEnumArg)